
QGIS Application - Bug report #17875

WFS zingers, 3D

2018-01-17 10:38 AM - David Douglas

Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.15 Regression?: No

Operating System: Windows 7 Enterprise 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:Yes Copied to github as #: 25770

Description

This WFS service http://geoweb01.gasnet.dk:8080/geoserver/Test/ows?     (username Test  password Test )

displays incorrectly in QGIS 2.18.14 and 2.18.15 - the map extent should be around 20km, but it creates zingers 8,000 km long. See

WFS.jpg

In WMS.jpg the blue lines are what should be displayed - here, it's the same data from a WMS service. The green is the same data but as

WFS.

The zingers go from the correct UTM32 X,Y coordinates top left to those coordinates reversed, bottom right (X has become Y and vice

versa).

This was not a problem in earlier versions of QGIS desktop - we upgraded from 2.12.

The problem seems to be that it's 3D linear data.

We have created these WFS and WMS services with GeoServer 2.8.1. The solution turns out to be setting the WFS service in GeoServer

to Strict CITE compliance  - this changes the WFS data to 2D, and QGIS displayes it correctly. 

Other WFS clients ( GeoMedia 015, and uDig) display the WFS data no matter what. We can set our own WFS service to 2D, but there

must be other WFS services with 3D linear data where QGIS cannot display it correctly.

History

#1 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-05-31 11:44 AM - Even Rouault

- Priority changed from High to Low

The issue is that the GML sent by the server is invalid/inconsistant. "http://Test:Test@geoweb01.gasnet.dk

:8080/geoserver/Test/wfs?SERVICE=WFS&REQUEST=GetFeature&VERSION=2.0.0&TYPENAMES=Test:TRANSLEDNINGER820&COUNT=1&SRS

AME=urn:ogc:def:crs:EPSG::25832" returns{{{

[...]

        <gml:LineString srsName="urn:ogc:def:crs:EPSG::25832" srsDimension="3">

          <gml:posList>530142.198325 6297941.867202 530141.176196 6297941.977687</gml:posList>

        </gml:LineString>

[...]

}}}

One clearly see that there are 2 (x,y) tuples, but z is missing despite the srsDimension="3". Likely older versions of QGIS would ignore the srsDimension

(and would then have issues on actual 3D data)

I don't see a bullet proof way of autofixing this on QGIS side. Sometimes if the number of elements is not a multiple of 3, we could. But in other cases, like if

there are 6 values, this could be 3 XY nodes or 2 XYZ nodes.

We could potentially add a WFS user controlled option "Ignore srsDimension="3"", but I'd prefer we do not to avoid adding more complexity again. Best is
to fix the server IMHO

#3 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
